Subject: Blowout sale of replica watches

From: " Ces" <[email-masked] >
Date: Tue, 10 Jul 2007 18:51:41 +0200

Don’t wait to throw your old watch away – and get a posh replica timepiece!
The quality of our watches is blameless – and so are our laughable prices!
Pick up a perfect chronometer for you out of our huge stock now!
http://slonoima.com